## systemd 237-3ubuntu10.56+9.0trisquel1

=== meson_options.txt ===
# -*- mode: meson -*-
# SPDX-License-Identifier: LGPL-2.1+
#
# Copyright 2017 Zbigniew Jędrzejewski-Szmek
#
# systemd is free software; you can redistribute it and/or modify it
# under the terms of the GNU Lesser General Public License as published by
# the Free Software Foundation; either version 2.1 of the License, or
# (at your option) any later version.
#
# systemd is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
# Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public License
# along with systemd; If not, see <http://www.gnu.org/licenses/>.

option('split-usr', type : 'boolean', value : false,
       description : '''assume that /bin, /sbin aren't symlinks into /usr''')
option('rootlibdir', type : 'string',
       description : '''[/usr]/lib/x86_64-linux-gnu or such''')
option('rootprefix', type : 'string',
       description : '''override the root prefix''')
option('link-udev-shared', type : 'boolean',
       description : 'link systemd-udev and its helpers to libsystemd-shared.so')

option('sysvinit-path', type : 'string', value : '/etc/init.d',
       description : 'the directory where the SysV init scripts are located')
option('sysvrcnd-path', type : 'string', value : '/etc/rc.d',
       description : 'the base directory for SysV rcN.d directories')
option('telinit-path', type : 'string', value : '/lib/sysvinit/telinit',
       description : 'path to telinit')
option('rc-local', type : 'string',
       value : '/etc/rc.local')
option('halt-local', type : 'string',
       value : '/usr/sbin/halt.local')

option('quotaon-path', type : 'string', description : 'path to quotaon')
option('quotacheck-path', type : 'string', description : 'path to quotacheck')
option('kill-path', type : 'string', description : 'path to kill')
option('kmod-path', type : 'string', description : 'path to kmod')
option('kexec-path', type : 'string', description : 'path to kexec')
option('sulogin-path', type : 'string', description : 'path to sulogin')
option('mount-path', type : 'string', description : 'path to mount')
option('umount-path', type : 'string', description : 'path to umount')
option('loadkeys-path', type : 'string', description : 'path to loadkeys')
option('setfont-path', type : 'string', description : 'path to setfont')

option('debug-shell', type : 'string', value : '/bin/sh',
       description : 'path to debug shell binary')
option('debug-tty', type : 'string', value : '/dev/tty9',
       description : 'specify the tty device for debug shell')
option('debug', type : 'string',
       description : 'enable extra debugging (hashmap,mmap-cache)')

option('utmp', type : 'boolean',
       description : 'support for utmp/wtmp log handling')
option('hibernate', type : 'boolean',
       description : 'support for hibernation')
option('ldconfig', type : 'boolean',
       description : 'support for dynamic linker cache creation')
option('resolve', type : 'boolean',
       description : 'systemd-resolved stack')
option('efi', type : 'boolean',
       description : 'enable systemd-boot and bootctl')
option('tpm', type : 'boolean',
       description : 'TPM should be used to log events and extend the registers')
option('environment-d', type : 'boolean',
       description : 'support for environment.d')
option('binfmt', type : 'boolean',
       description : 'support for custom binary formats')
option('coredump', type : 'boolean',
       description : 'install the coredump handler')
option('logind', type : 'boolean',
       description : 'install the systemd-logind stack')
option('hostnamed', type : 'boolean',
       description : 'install the systemd-hostnamed stack')
option('localed', type : 'boolean',
       description : 'install the systemd-localed stack')
option('machined', type : 'boolean',
       description : 'install the systemd-machined stack')
option('networkd', type : 'boolean',
       description : 'install the systemd-networkd stack')
option('timedated', type : 'boolean',
       description : 'install the systemd-timedated daemon')
option('timesyncd', type : 'boolean',
       description : 'install the systemd-timesyncd daemon')
option('remote', type : 'combo', choices : ['auto', 'true', 'false'],
       description : 'support for "journal over the network"')
option('myhostname', type : 'boolean',
       description : 'nss-myhostname support')
option('firstboot', type : 'boolean',
       description : 'support for firstboot mechanism')
option('randomseed', type : 'boolean',
       description : 'support for restoring random seed')
option('backlight', type : 'boolean',
       description : 'support for restoring backlight state')
option('vconsole', type : 'boolean',
       description : 'support for vconsole configuration')
option('quotacheck', type : 'boolean',
       description : 'support for the quotacheck tools')
option('sysusers', type : 'boolean',
       description : 'support for the sysusers configuration')
option('tmpfiles', type : 'boolean',
       description : 'support for tmpfiles.d')
option('importd', type : 'combo', choices : ['auto', 'true', 'false'],
       description : 'install the systemd-importd daemon')
option('hwdb', type : 'boolean',
       description : 'support for the hardware database')
option('rfkill', type : 'boolean',
       description : 'support for the rfkill tools')
option('man', type : 'combo', choices : ['auto', 'true', 'false'],
       description : 'build and install man pages')
option('html', type : 'combo', choices : ['auto', 'true', 'false'],
       value : 'false',
       description : 'build and install html pages')

option('certificate-root', type : 'string', value : '/etc/ssl',
       description : 'the prefix for TLS certificates')
option('dbuspolicydir', type : 'string',
       description : 'D-Bus policy directory')
option('dbussessionservicedir', type : 'string',
       description : 'D-Bus session service directory')
option('dbussystemservicedir', type : 'string',
       description : 'D-Bus system service directory')
option('pkgconfigdatadir', type : 'string', value : 'share/pkgconfig',
       description : 'directory for ')
option('pkgconfiglibdir', type : 'string', value : '',
       description : 'directory for ')
option('rpmmacrosdir', type : 'string', value : 'lib/rpm/macros.d',
       description : 'directory for rpm macros ["no" disables]')
option('pamlibdir', type : 'string',
       description : 'directory for PAM modules')
option('pamconfdir', type : 'string',
       description : 'directory for PAM configuration ["no" disables]')

option('fallback-hostname', type : 'string', value : 'localhost',
       description : 'the hostname used if none configured')
option('compat-gateway-hostname', type : 'boolean', value : 'false',
       description : 'allow "gateway" as the symbolic name for default gateway')
option('default-hierarchy', type : 'combo',
       choices : ['legacy', 'hybrid', 'unified'], value : 'hybrid',
       description : 'default cgroup hierarchy')
option('time-epoch', type : 'string',
       description : 'time epoch for time clients')
option('system-uid-max', type : 'string',
       description : 'maximum system UID')
option('system-gid-max', type : 'string',
       description : 'maximum system GID')
option('dynamic-uid-min', type : 'string',
       description : 'minimum dynamic UID',
       value : '61184') # That's → 0x0000EF00 in hex
option('dynamic-uid-max', type : 'string',
       description : 'maximum dynamic UID',
       value : '65519') # That's → 0x0000FFEF in hex
option('container-uid-base-min', type : 'string',
       description : 'minimum container UID base',
       value : '524288') # That's → 0x00080000 in hex
option('container-uid-base-max', type : 'string',
       description : 'maximum container UID base',
       value : '1878982656') # That's → 0x6FFF0000 in hex
option('tty-gid', type : 'string',
       description : 'the numeric GID of the "tty" group',
       value : '5')
option('users-gid', type : 'string',
       description : 'the numeric GID of the "users" group')
option('adm-group', type : 'boolean',
       description : 'the ACL for adm group should be added')
option('wheel-group', type : 'boolean',
       description : 'the ACL for wheel group should be added')
option('nobody-user', type : 'string',
       description : 'The name of the nobody user (the one with UID 65534)',
       value : 'nobody')
option('nobody-group', type : 'string',
       description : 'The name of the nobody group (the one with GID 65534)',
       value : 'nobody')
option('dev-kvm-mode', type : 'string', value : '0666',
       description : '/dev/kvm access mode')
option('default-kill-user-processes', type : 'boolean',
       description : 'the default value for KillUserProcesses= setting')
option('gshadow', type : 'boolean',
       description : 'support for shadow group')

option('default-dnssec', type : 'combo',
       description : 'default DNSSEC mode',
       choices : ['yes', 'allow-downgrade', 'no'],
       value : 'allow-downgrade')
option('dns-servers', type : 'string',
       description : 'space-separated list of default DNS servers',
       value : '8.8.8.8 8.8.4.4 2001:4860:4860::8888 2001:4860:4860::8844')
option('ntp-servers', type : 'string',
       description : 'space-separated list of default NTP servers',
       value : 'time1.google.com time2.google.com time3.google.com time4.google.com')
option('support-url', type : 'string',
       description : 'the support URL to show in catalog entries included in systemd',
       value : 'https://lists.freedesktop.org/mailman/listinfo/systemd-devel')
option('www-target', type : 'string',
       description : 'the address and dir to upload docs too',
       value : 'www.freedesktop.org:/srv/www.freedesktop.org/www/software/systemd')

option('seccomp', type : 'combo', choices : ['auto', 'true', 'false'],
       description : 'SECCOMP support')
option('selinux', type : 'combo', choices : ['auto', 'true', 'false'],
       description : 'SELinux support')
option('apparmor', type : 'combo', choices : ['auto', 'true', 'false'],
       description : 'AppArmor support')
option('smack', type : 'boolean',
       description : 'SMACK support')
option('smack-run-label', type : 'string',
       description : 'run systemd --system itself with a specific SMACK label')
option('polkit', type : 'combo', choices : ['auto', 'true', 'false'],
       description : 'PolicyKit support')
option('ima', type : 'boolean',
       description : 'IMA support')

option('acl', type : 'combo', choices : ['auto', 'true', 'false'],
       description : 'libacl support')
option('audit', type : 'combo', choices : ['auto', 'true', 'false'],
       description : 'libaudit support')
option('blkid', type : 'combo', choices : ['auto', 'true', 'false'],
       description : 'libblkid support')
option('kmod', type : 'combo', choices : ['auto', 'true', 'false'],
       description : 'support for loadable modules')
option('pam', type : 'combo', choices : ['auto', 'true', 'false'],
       description : 'PAM support')
option('microhttpd', type : 'combo', choices : ['auto', 'true', 'false'],
       description : 'libµhttpd support')
option('libcryptsetup', type : 'combo', choices : ['auto', 'true', 'false'],
       description : 'libcryptsetup support')
option('libcurl', type : 'combo', choices : ['auto', 'true', 'false'],
       description : 'libcurl support')
option('idn', type : 'boolean',
       description : 'use IDN when printing host names')
option('libidn2', type : 'combo', choices : ['auto', 'true', 'false'],
       description : 'libidn2 support')
option('libidn', type : 'combo', choices : ['auto', 'true', 'false'],
       description : 'libidn support')
option('nss-systemd', type : 'boolean',
       description : 'enable nss-systemd')

=== debian/changelog ===
systemd (237-3ubuntu10.56+9.0trisquel1) etiona-security; urgency=medium

  * Fixed bug in debian-installer integration

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Tue, 13 Sep 2022 19:37:20 +0000

systemd (237-3ubuntu10.56) bionic-security; urgency=medium

  * debian/udev.preinst:
    Add check_ID_NET_DRIVER() to ensure that on upgrade or install
    from an earlier version ID_NET_DRIVER is present on network
    interfaces. (LP: #1988119)

 -- Matthew Ruffell <matthew.ruffell@canonical.com>  Tue, 06 Sep 2022 15:18:05 +1200

systemd (237-3ubuntu10.55) bionic-security; urgency=medium

  * d/p/lp1988119-udev-re-assign-ID_NET_DRIVER-ID_NET_LINK_FILE-ID_NET.patch:
    Run net_setup_link on 'change' uevents, important for users of the
    hv_netvsc driver on Azure. (LP: #1988119)

 -- Matthew Ruffell <matthew.ruffell@canonical.com>  Wed, 31 Aug 2022 16:35:20 +1200

systemd (237-3ubuntu10.54) bionic-security; urgency=medium

  * SECURITY UPDATE: Use-after-free vulnerability in systemd.                   
    - debian/patches/CVE-2022-2526.patch: pin stream while calling callbacks     
      for it in src/resolve/resolved-dns-stream.c                               
    - CVE-2022-2526 

 -- Nishit Majithia <nishit.majithia@canonical.com>  Mon, 29 Aug 2022 10:28:49 +0530

systemd (237-3ubuntu10.53) bionic; urgency=medium

  [ Ratchanan Srirattanamet ]
  * d/p/debian/timedatectl-lp1650688.patch,
    d/p/debian/UBUNTU-Fix-timezone-setting-on-read-only-etc.patch:
    Fix timedated unable to retrieve & properly set timezone on
    read-only /etc (e.g. Ubuntu Core and system-image-based systems)
    (LP: #1650688)

  [ Lukas Märdian ]
  * Support detection for ARM64 Hyper-V guests (LP: #1952599)

 -- Lukas Märdian <slyon@ubuntu.com>  Fri, 10 Dec 2021 10:15:49 +0100

systemd (237-3ubuntu10.52) bionic; urgency=medium

  * d/extra/dhclient-enter-resolved-hook:
    Reset start limit counter for systemd-resolved in dhclient hook
    (LP: #1939255)
    https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=ea6710476dde78e8595274c3c4ba7acca6d5162c
  * d/p/lp1934147/0001-core-add-a-new-unit-method-catchup.patch,
    d/p/lp1934147/0002-cgroup-do-catchup-for-unit-cgroup-inotify-watch-file.patch,
    d/p/lp1934147/0003-core-Make-sure-cgroup_oom_queue-is-flushed-on-manage.patch:
    Catch up on cgroup empty inotify after reexec/reload (LP: #1934147)
    https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=5ef61bd930612a90ce3ed9105cbadc5ff97b6ffc
  * d/p/lp1934981-correct-suspend-then-sleep-string.patch:
    Fix sleep verb used by logind during suspend-then-hibernate
    (LP: #1934981)
    https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=1ade873a41ad018a5e07f10775738c6eb8c82310
  * d/extra/dhclient-enter-resolved-hook:
    Check is-enabled systemd-resolved in dhclient hook (LP: #1853164)
    https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=774c2f82a39a88fa0fd8b2adbfa0b8a8c3cd1fb5

 -- Dan Streetman <ddstreet@canonical.com>  Thu, 26 Aug 2021 10:20:40 -0400

systemd (237-3ubuntu10.51) bionic; urgency=medium

  * Add support to keepconfiguration (LP: #1815101)
    - lp1815101-0001-add-macro-if-flags-are-set.patch
    - lp1815101-0002-networkd-add-support-to-keepconfiguration.patch
    - lp1815101-0003-network-use-hashmap_steal_first-rather-than-hashmap_.patch
    - lp1815101-0004-networkd-stop-clients-when-networkd-shuts-down.patch
    - lp1815101-0005-network-add-KeepConfiguration-dhcp-on-stop.patch
    - lp1815101-0006-network-make-KeepConfiguration-static-drop-DHCP-addr.patch
    - lp1815101-0007-man-add-documentation-about-KeepConfiguration.patch

 -- Eric Desrochers <eric.desrochers@canonical.com>  Mon, 26 Jul 2021 11:31:02 -0400

systemd (237-3ubuntu10.50) bionic-security; urgency=medium

  * d/p/lp1937117-revert-lp1929560-network-move-set-MAC-and-set-nomaster-operations-out.patch:
    Revert patch due to users expecting previous buggy behavior
    (LP: #1937117)

 -- Dan Streetman <ddstreet@canonical.com>  Wed, 21 Jul 2021 14:51:38 -0400

systemd (237-3ubuntu10.49) bionic-security; urgency=medium

  * SECURITY UPDATE: DoS via DHCP FORCERENEW
    - debian/patches/CVE-2020-13529.patch: tentatively ignore FORCERENEW
      command in src/libsystemd-network/sd-dhcp-client.c.
    - CVE-2020-13529
  * SECURITY UPDATE: denial of service via stack exhaustion
    - debian/patches/CVE-2021-33910.patch: do not use strdupa() on a path
      in src/basic/unit-name.c.
    - CVE-2021-33910

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Fri, 09 Jul 2021 11:12:13 -0400

systemd (237-3ubuntu10.48) bionic; urgency=medium

  * d/p/lp1925216-seccomp-rework-functions-for-parsing-system-call-fil.patch:
    Downgrade syscall group parsing failure logs to debug (LP: #1925216)
    https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=8c0181e24f7c0128a48c706d1f4b28ec0f225fd7
  * d/p/lp1929560-network-move-set-MAC-and-set-nomaster-operations-out.patch:
    Move link mac and master config out of link_up() (LP: #1929560)
    https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=d808ea22366ca7ba4b5bb32815ab0ca2eea8a49f
  * d/p/resolved-Mitigate-DVE-2018-0001-by-retrying-NXDOMAIN-with.patch,
    d/p/resolved_disable-connection-downgrade-when-DNSSEC-yes.patch,
    d/p/lp1880258-log-nxdomain-as-debug.patch,
    d/p/lp1785383-resolved-address-DVE-2018-0001.patch:
    - Use upstream patch for DVE-2018-0001 handling (LP: #1785383)
    https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=b6258fda64c84c34b0f8026e6e29bcfffa8dc4f1

 -- Dan Streetman <ddstreet@canonical.com>  Thu, 27 May 2021 11:18:38 -0400

systemd (237-3ubuntu10.47) bionic; urgency=medium

  * d/p/network_always_drop_configs_when_interface_is_renamed.patch:
    Fix networkd renaming race condition (LP: #1923115)



=== debian/control ===
Source: systemd
Section: admin
Priority: optional
Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
XSBC-Original-Maintainer: Debian systemd Maintainers <pkg-systemd-maintainers@lists.alioth.debian.org>
Uploaders: Michael Biebl <biebl@debian.org>,
           Marco d'Itri <md@linux.it>,
           Sjoerd Simons <sjoerd@debian.org>,
           Martin Pitt <mpitt@debian.org>
Standards-Version: 4.1.3
Rules-Requires-Root: no
Vcs-Git: https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd -b ubuntu-bionic
Vcs-Browser: https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd
XS-Vcs-Debian-Git: https://salsa.debian.org/systemd-team/systemd.git
XS-Vcs-Debian-Browser: https://salsa.debian.org/systemd-team/systemd
Homepage: https://www.freedesktop.org/wiki/Software/systemd
Build-Depends: debhelper (>= 10.4~),
               pkg-config,
               xsltproc,
               docbook-xsl,
               docbook-xml,
               m4,
               meson (>= 0.40.0),
               gettext,
               gperf,
               gnu-efi [amd64 i386 arm64],
               libcap-dev (>= 1:2.24-9~),
               libpam0g-dev,
               libapparmor-dev (>= 2.9.0-3+exp2) <!stage1>,
               libidn11-dev <!stage1>,
               libiptc-dev <!stage1> | iptables-dev <!stage1>,
               libaudit-dev <!stage1>,
               libdbus-1-dev (>= 1.3.2) <!nocheck>,
               libcryptsetup-dev (>= 2:1.6.0) <!stage1>,
               libselinux1-dev (>= 2.1.9),
               libacl1-dev,
               liblzma-dev,
               liblz4-dev (>= 0.0~r125),
               liblz4-tool <!nocheck>,
               libbz2-dev <!stage1>,
               zlib1g-dev <!stage1> | libz-dev <!stage1>,
               libcurl4-gnutls-dev <!stage1> | libcurl-dev <!stage1>,
               libmicrohttpd-dev <!stage1>,
               libgnutls28-dev <!stage1>,
               libgcrypt20-dev,
               libkmod-dev (>= 15),
               libblkid-dev (>= 2.24),
               libmount-dev (>= 2.30),
               libseccomp-dev (>= 2.3.1) [amd64 arm64 armel armhf i386 mips mipsel mips64 mips64el x32 powerpc ppc64 ppc64el s390x],
               libdw-dev (>= 0.158) <!stage1>,
               libpolkit-gobject-1-dev <!stage1>,
               linux-base <!nocheck>,
               acl <!nocheck>,
               python3:native,
               python3-lxml:native,
               python3-pyparsing <!nocheck>,
               python3-evdev <!nocheck>,
               tzdata <!nocheck>,
               libcap2-bin <!nocheck>,
               iproute2 <!nocheck>,

Package: systemd
Architecture: linux-any
Multi-Arch: foreign
Section: admin
Priority: important
Recommends: libpam-systemd,
            dbus,
            networkd-dispatcher
Suggests: systemd-container,
          policykit-1
Pre-Depends: ${shlibs:Pre-Depends},
             ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libsystemd0 (= ${binary:Version}),
         util-linux (>= 2.27.1),
         mount (>= 2.26),
         adduser,
         procps,
Conflicts: systemd-shim, upstart
Breaks: apparmor (<< 2.9.2-1),
        systemd-shim (<< 10-3~),
        ifupdown (<< 0.8.5~),
        udev (<< 228-5),
        laptop-mode-tools (<< 1.68~),
Replaces: udev (<< 228-5),
Description: system and service manager
 systemd is a system and service manager for Linux. It provides aggressive
 parallelization capabilities, uses socket and D-Bus activation for starting
 services, offers on-demand starting of daemons, keeps track of processes using
 Linux control groups, maintains mount and automount points and implements an
 elaborate transactional dependency-based service control logic.
 .
 systemd is compatible with SysV and LSB init scripts and can work as a
 drop-in replacement for sysvinit.
 .
 Installing the systemd package will not switch your init system unless you
 boot with init=/bin/systemd or install systemd-sysv in addition.

Package: systemd-sysv
Architecture: linux-any
Multi-Arch: foreign
Section: admin
Priority: important
Conflicts: sysvinit-core,
           upstart (<< 1.13.2-0ubuntu10~),
           upstart-sysv,
           openrc (<< 0.20.4-2.1),
           file-rc,
           systemd-shim,
Replaces: sysvinit (<< 2.88dsf-44~),
          sysvinit-core,
          upstart (<< 1.13.2-0ubuntu10~),
          upstart-sysv,
Pre-Depends: systemd
Depends: ${shlibs:Depends},
         ${misc:Depends}
Recommends: libnss-systemd
Description: system and service manager - SysV links
 systemd is a system and service manager for Linux. It provides aggressive
 parallelization capabilities, uses socket and D-Bus activation for starting
 services, offers on-demand starting of daemons, keeps track of processes using
 Linux control groups, maintains mount and automount points and implements an
 elaborate transactional dependency-based service control logic.
 .
 systemd is compatible with SysV and LSB init scripts and can work as a
 drop-in replacement for sysvinit.
 .
 This package provides the manual pages and links needed for systemd
 to replace sysvinit. Installing systemd-sysv will overwrite /sbin/init with a
 link to systemd.

Package: systemd-container
Build-Profiles: <!stage1>
Architecture: linux-any
Multi-Arch: foreign
Section: admin
Priority: optional
Depends: ${shlibs:Depends},
         ${misc:Depends},
         systemd,
         dbus
Recommends: btrfs-progs | btrfs-tools,
            libnss-mymachines,
Breaks: systemd (<< 224-2)
Replaces: systemd (<< 224-2)
Description: systemd container/nspawn tools
 This package provides systemd's tools for nspawn and container/VM management:
  * systemd-nspawn
  * systemd-machined and machinectl
  * systemd-importd

Package: systemd-journal-remote
Build-Profiles: <!stage1>
Architecture: linux-any
Multi-Arch: foreign
Section: admin
Priority: optional
Depends: ${shlibs:Depends},
         ${misc:Depends},
         systemd,
         adduser
Description: tools for sending and receiving remote journal logs
 This package provides tools for sending and receiving remote journal logs:
  * systemd-journal-remote
  * systemd-journal-upload
  * systemd-journal-gatewayd

Package: systemd-coredump
Build-Profiles: <!stage1>
Architecture: linux-any
Multi-Arch: foreign
Section: admin
Priority: optional
Depends: ${shlibs:Depends},
         ${misc:Depends},
         adduser,
         systemd
Conflicts: core-dump-handler
Replaces: core-dump-handler, systemd (<< 229-2)
Provides: core-dump-handler
Breaks: systemd (<< 229-2)
Description: tools for storing and retrieving coredumps
 This package provides systemd tools for storing and retrieving coredumps:
  * systemd-coredump
  * coredumpctl

Package: systemd-tests
Architecture: linux-any
Section: admin
Priority: optional
Depends: ${shlibs:Depends},
         ${misc:Depends},
         systemd (= ${binary:Version}),
         python3-minimal,
Description: tests for systemd
 This package contains the test binaries. Those binaries are primarily used
 for autopkgtest and not meant to be installed on regular user systems.

Package: libpam-systemd
Architecture: linux-any
Multi-Arch: same
Section: admin
Priority: standard
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
         ${misc:Depends},
         systemd (= ${binary:Version}),
         libpam-runtime (>= 1.0.1-6),
         dbus,
         systemd-sysv
Description: system and service manager - PAM module
 This package contains the PAM module which registers user sessions in
 the systemd control group hierarchy for logind.
 .
 If in doubt, do install this package.
 .
 Packages that depend on logind functionality need to depend on libpam-systemd.

Package: libnss-myhostname
Architecture: linux-any
Multi-Arch: same
Section: admin
Priority: optional
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
         ${misc:Depends},
Breaks: systemd (<< 222-1)
Replaces: systemd (<< 222-1)
Description: nss module providing fallback resolution for the current hostname
 This package contains a plugin for the Name Service Switch, providing host
 name resolution for the locally configured system hostname as returned by
 gethostname(2). It returns all locally configured public IP addresses or -- if
 none are configured, the IPv4 address 127.0.1.1 (which is on the local
 loopback) and the IPv6 address ::1 (which is the local host).
 .
 A lot of software relies on that the local host name is resolvable. This
 package provides an alternative to the fragile and error-prone manual editing
 of /etc/hosts.
 .
 Installing this package automatically adds myhostname to /etc/nsswitch.conf.

Package: libnss-mymachines
Architecture: linux-any
Multi-Arch: same
Section: admin
Priority: optional
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
         ${misc:Depends},
         systemd-container (= ${binary:Version}),
Breaks: systemd (<< 222-1)
Replaces: systemd (<< 222-1)
Description: nss module to resolve hostnames for local container instances
 nss-mymachines is a plugin for the GNU Name Service Switch (NSS) functionality
 of the GNU C Library (glibc) providing hostname resolution for local containers
 that are registered with systemd-machined.service(8). The container names are
 resolved to IP addresses of the specific container, ordered by their scope.
 .
 Installing this package automatically adds mymachines to /etc/nsswitch.conf.

Package: libnss-resolve
Architecture: linux-any
Multi-Arch: same
Section: admin
Priority: optional
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
         ${misc:Depends},
         systemd (= ${binary:Version}),
Breaks: systemd (<< 227-3)
Replaces: systemd (<< 227-3)
Description: nss module to resolve names via systemd-resolved
 nss-resolve is a plugin for the GNU Name Service Switch (NSS) functionality
 of the GNU C Library (glibc) providing DNS and LLMNR resolution to programs via
 the systemd-resolved daemon (provided in the systemd package).
 .
 Installing this package automatically adds resolve to /etc/nsswitch.conf.

Package: libnss-systemd
Architecture: linux-any
Multi-Arch: same
Section: admin
Priority: optional
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
         ${misc:Depends},
         systemd (= ${binary:Version}),
Description: nss module providing dynamic user and group name resolution
 nss-systemd is a plug-in module for the GNU Name Service Switch (NSS)
 functionality of the GNU C Library (glibc), providing UNIX user and group name
 resolution for dynamic users and groups allocated through the DynamicUser=
 option in systemd unit files. See systemd.exec(5) for details on this
 option.
 .
 Installing this package automatically adds the module to /etc/nsswitch.conf.

Package: libsystemd0
Architecture: linux-any
Multi-Arch: same
Section: libs
Priority: optional
Pre-Depends: ${shlibs:Depends},
             ${misc:Pre-Depends}
Depends: ${misc:Depends}
Description: systemd utility library
 The libsystemd0 library provides interfaces to various systemd components.

Package: libsystemd-dev
Architecture: linux-any
Multi-Arch: same
Section: libdevel
Priority: optional
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libsystemd0 (= ${binary:Version})
Description: systemd utility library - development files
 The libsystemd0 library provides interfaces to various systemd components.
 .
 This package contains the development files.

Package: udev
Section: admin
Priority: important
Architecture: linux-any
Multi-Arch: foreign
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
         ${misc:Depends},
         adduser,
         libudev1 (= ${binary:Version}),
         lsb-base (>= 3.0-6),
         util-linux (>= 2.27.1),
         s390-tools (>> 1.6.2) [s390],
         procps
Conflicts: hal
Breaks: systemd (<< 233-4),
        ifupdown (<< 0.8.5~),
        ifplugd (<< 0.28-19.1~),
        joystick (<< 1:1.4.9-1~),
Replaces: systemd (<< 233-4)
